---
title: 'Location: hash'
slug: Web/API/Location/hash
tags:
  - API
  - Location
  - Property
  - Reference
---
<div>{{ APIRef("Location") }}</div>

<p><span class="seoSummary">The <strong><code>hash</code></strong> property of the {{domxref("Location")}} interface returns a {{domxref("USVString")}} containing a <code>'#'</code> followed by the fragment identifier of the URL — the ID on the page that the URL is trying to target.</span></p>

<p>The fragment is not <a href="/en-US/docs/Glossary/percent-encoding">percent-decoded</a>. If the URL does not have a fragment identifier, this property contains an empty string, <code>""</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>string</em> = <em>object</em>.hash;
<em>object</em>.hash = <em>string</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;a id="myAnchor" href="/en-US/docs/Location.href#Examples"&gt;Examples&lt;/a&gt;
&lt;script&gt;
  var anchor = document.getElementById("myAnchor");
  console.log(anchor.hash); // Returns '#Examples'
&lt;/script&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-location-hash', 'hash')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Location.hash")}}</p>
